.\" $NetBSD: rpc.bootparamd.8,v 1.16 2003/08/20 13:07:41 tsutsui Exp $
.\" @(#)bootparamd.8
.Dd January 8, 1994
.Dt RPC.BOOTPARAMD 8
.Os
.Sh NAME
.Nm bootparamd ,
.Nm rpc.bootparamd
.Nd boot parameter server
.Sh SYNOPSIS
.Nm
.Op Fl ds
.Op Fl i Ar interface
.Op Fl r Ar router
.Op Fl f Ar file
.Sh DESCRIPTION
.Nm
is a server process that provides information to diskless clients
necessary for booting. It consults the file
.Dq Pa /etc/bootparams .
It should normally be started from
.Dq Pa /etc/rc .
.Pp
This version will allow the use of aliases on the hostname in the
.Dq Pa /etc/bootparams
file. The hostname returned in response to the booting client's whoami request
will be the name that appears in the config file, not the canonical name.
In this way you can keep the answer short enough
so that machines that cannot handle long hostnames won't fail during boot.
.Pp
While parsing, if a line containing just ``+'' is found, and
the YP subsystem is active, the YP map
.Pa bootparams
will be searched immediately.
.Sh OPTIONS
.Bl -tag -width indent
.It Fl d
Display the debugging information. The daemon does not fork in this
case.
.It Fl i Ar interface
Specify the interface to become the default router.
.Nm
picks the first IPv4 address it finds on the system by default.
With
.Fl i ,
you can control which interface to be used to obtain the default router address.
.Fl r
overrides
.Fl i .
.It Fl s
Log the debugging information with
.Xr syslog 3 .
.It Fl r
Set the default router (a hostname or IP-address).
This defaults to the machine running the server.
.It Fl f
Specify the file to use as boot parameter file instead of
.Dq Pa /etc/bootparams .
.El
.Sh FILES
.Bl -tag -width /etc/bootparams -compact
.It Pa /etc/bootparams
default configuration file
.El
.Sh SEE ALSO
.Xr bootparams 5
.Sh AUTHORS
Originally written by
.An Klas Heggemann
.Aq klas@nada.kth.se .
.Sh BUGS
You may find the syslog messages too verbose.
.Pp
It's not clear if the non-canonical hack mentioned above is a good idea.
